package com.sy.coinage.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.dao.UserRoleDao;
import com.sy.coinage.sys.model.UserRole;
import com.sy.coinage.sys.service.IUserRoleService;
import java.util.List;
import org.springframework.stereotype.Service;

/**
 * 用户ServiceImpl
 */
@Service
public class UserRoleServiceImpl extends ServiceImpl<UserRoleDao, UserRole> implements IUserRoleService {

    @Override
    public List<Integer> selectRoleIdsByUserId(Integer userId) {
        return this.baseMapper.selectRoleIdsByUserId(userId);
    }

    @Override
    public List<Integer> selectUserIdsByRoleId(Integer roleId) {
        return this.baseMapper.selectUserIdsByRoleId(roleId);
    }

    @Override
    public List<OptVO> userOpt(Integer roleId) {
        return this.baseMapper.queryOptList(roleId);
    }

}
